Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Interface RARDeploymentMBean

All Superinterfaces:
  javax.resource.spi.ManagedConnectionFactory, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  RARDeployment

public interface RARDeploymentMBean
extends org.jboss.system.ServiceMBean, javax.resource.spi.ManagedConnectionFactory

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getAuthenticationMechanismType()` The AuthenticationMechanismType attribute holds the AuthenticationMechanismType from the ra.xml.
`String` | `getConnectionDefinition()` The connection definition inside the rar, it identifies the unique connection factory
`String` | `getConnectionFactoryImplClass()` The ConnectionFactoryImplClass attribute holds the ConnectionFactoryImplClass from the ra.xml.
`String` | `getConnectionFactoryInterface()` The ConnectionFactoryInterface attribute holds the ConnectionFactoryInterface from the ra.xml.
`String` | `getConnectionImplClass()` The ConnectionImplClass attribute holds the ConnectionImplClass from the ra.xml.
`String` | `getConnectionInterface()` The ConnectionInterface attribute holds the ConnectionInterface from the ra.xml.
`String` | `getCredentialInterface()` The CredentialInterface attribute holds the CredentialInterface from the ra.xml.
`String` | `getEisType()` The EisType attribute holds the EisType from the ra.xml.
`Object` | `getManagedConnectionFactoryAttribute(String name)` The `getManagedConnectionFactoryAttribute` method can be used to examine the managed connection factory properties.
`String` | `getManagedConnectionFactoryClass()` The ManagedConnectionFactoryClass attribute holds the ManagedConnectionFactoryClass from the ra.xml.
`Element` | `getManagedConnectionFactoryProperties()` The ManagedConnectionFactoryProperties attribute holds the ManagedConnectionFactoryProperties from the ra.xml, together with user supplied values for all or some of these properties.
`javax.resource.spi.ManagedConnectionFactory` | `getMcfInstance()` The `getMcfInstance` method returns the ManagedConnectionFactory instance represented by this mbean.
`javax.management.ObjectName` | `getOldRarDeployment()` The OldRarDeployment attribute refers to a previous-generation RARDeployment.
`String` | `getRARName()` The RARName attribute holds the file name of the rar
`String` | `getSpecVersion()` The SpecVersion attribute holds the SpecVersion from the ra.xml It should be supplied by xslt from ra.xml
`String` | `getTransactionSupport()` The TransactionSupport attribute holds the TransactionSupport from the ra.xml.
`String` | `getVendorName()` The VendorName attribute holds the VendorName from the ra.xml It should be supplied by xslt from ra.xml
`String` | `getVersion()` The Version attribute holds the Version from the ra.xml.
`boolean` | `isReauthenticationSupport()` The ReauthenticationSupport attribute holds the ReauthenticationSupport from the ra.xml.
`void` | `setAuthenticationMechanismType(String authenticationMechanismType)` Set the AuthenticationMechanismType value.
`void` | `setConnectionDefinition(String connectionDefinition)` Set the connection definition.
`void` | `setConnectionFactoryImplClass(String connectionFactoryImplClass)` Set the ConnectionFactoryImplClass value.
`void` | `setConnectionFactoryInterface(String connectionFactoryInterface)` Set the ConnectionFactoryInterface value.
`void` | `setConnectionImplClass(String connectionImplClass)` Set the ConnectionImplClass value.
`void` | `setConnectionInterface(String connectionInterface)` Set the ConnectionInterface value.
`void` | `setCredentialInterface(String credentialInterface)` Set the CredentialInterface value.
`void` | `setEisType(String eisType)` Set the EisType value.
`void` | `setManagedConnectionFactoryAttribute(String name, Class clazz, Object value)` The setManagedConnectionFactoryAttribute method can be used to set attributes on the ManagedConnectionFactory from code, without using the xml configuration.
`void` | `setManagedConnectionFactoryClass(String managedConnectionFactoryClass)` Set the ManagedConnectionFactoryClass value.
`void` | `setManagedConnectionFactoryProperties(Element managedConnectionFactoryProperties)` Set the ManagedConnectionFactoryProperties value.
`void` | `setOldRarDeployment(javax.management.ObjectName oldRarDeployment)` Set the value of OldRarDeployment
`void` | `setRARName(String rarName)` Set the RARName value.
`void` | `setReauthenticationSupport(boolean reauthenticationSupport)` Set the ReauthenticationSupport value.
`void` | `setSpecVersion(String specVersion)` Set the SpecVersion value.
`void` | `setTransactionSupport(String transactionSupport)` Set the TransactionSupport value.
`void` | `setVendorName(String vendorName)` Set the VendorName value.
`void` | `setVersion(String version)` Set the Version value.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.resource.spi.ManagedConnectionFactory
`createConnectionFactory, createConnectionFactory, createManagedConnection, equals, getLogWriter, hashCode, matchManagedConnections, setLogWriter`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getOldRarDeployment

    public javax.management.ObjectName getOldRarDeployment()

  The OldRarDeployment attribute refers to a previous-generation RARDeployment. THIS IS A HACK UNTIL XSLT DEPLOYMENT IS WRITTEN

  Returns:
    value of OldRarDeployment

### setOldRarDeployment

    public void setOldRarDeployment(javax.management.ObjectName oldRarDeployment)

  Set the value of OldRarDeployment

  Parameters:
    `oldRarDeployment` - - Value to assign to OldRarDeployment

### getRARName

    public String getRARName()

  The RARName attribute holds the file name of the rar

  Returns:
    the rar name value.

### setRARName

    public void setRARName(String rarName)

  Set the RARName value.

  Parameters:
    `rarName` - The new DisplayName value.

### getConnectionDefinition

    public String getConnectionDefinition()

  The connection definition inside the rar, it identifies the unique connection factory

  Returns:
    the rar name value.

### setConnectionDefinition

    public void setConnectionDefinition(String connectionDefinition)

  Set the connection definition.

  Parameters:
    `connectionDefinition` - - the connection definition

### getVendorName

    public String getVendorName()

  The VendorName attribute holds the VendorName from the ra.xml It should be supplied by xslt from ra.xml

  Returns:
    the VendorName value.

### setVendorName

    public void setVendorName(String vendorName)

  Set the VendorName value.

  Parameters:
    `vendorName` - The new VendorName value.

### getSpecVersion

    public String getSpecVersion()

  The SpecVersion attribute holds the SpecVersion from the ra.xml It should be supplied by xslt from ra.xml

  Returns:
    the SpecVersion value.

### setSpecVersion

    public void setSpecVersion(String specVersion)

  Set the SpecVersion value.

  Parameters:
    `specVersion` - The new SpecVersion value.

### getEisType

    public String getEisType()

  The EisType attribute holds the EisType from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the EisType value.

### setEisType

    public void setEisType(String eisType)

  Set the EisType value.

  Parameters:
    `eisType` - The new EisType value.

### getVersion

    public String getVersion()

  The Version attribute holds the Version from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the Version value.

### setVersion

    public void setVersion(String version)

  Set the Version value.

  Parameters:
    `version` - The new Version value.

### getManagedConnectionFactoryClass

    public String getManagedConnectionFactoryClass()

  The ManagedConnectionFactoryClass attribute holds the ManagedConnectionFactoryClass from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the ManagedConnectionFactoryClass value.

### setManagedConnectionFactoryClass

    public void setManagedConnectionFactoryClass(String managedConnectionFactoryClass)

  Set the ManagedConnectionFactoryClass value.

  Parameters:
    `managedConnectionFactoryClass` - The new ManagedConnectionFactoryClass value.

### getConnectionFactoryInterface

    public String getConnectionFactoryInterface()

  The ConnectionFactoryInterface attribute holds the ConnectionFactoryInterface from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the ConnectionFactoryInterface value.

### setConnectionFactoryInterface

    public void setConnectionFactoryInterface(String connectionFactoryInterface)

  Set the ConnectionFactoryInterface value.

  Parameters:
    `connectionFactoryInterface` - The ConnectionFactoryInterface value.

### getConnectionFactoryImplClass

    public String getConnectionFactoryImplClass()

  The ConnectionFactoryImplClass attribute holds the ConnectionFactoryImplClass from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the ConnectionFactoryImplClass value.

### setConnectionFactoryImplClass

    public void setConnectionFactoryImplClass(String connectionFactoryImplClass)

  Set the ConnectionFactoryImplClass value.

  Parameters:
    `connectionFactoryImplClass` - The ConnectionFactoryImplClass value.

### getConnectionInterface

    public String getConnectionInterface()

  The ConnectionInterface attribute holds the ConnectionInterface from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the ConnectionInterface value.

### setConnectionInterface

    public void setConnectionInterface(String connectionInterface)

  Set the ConnectionInterface value.

  Parameters:
    `connectionInterface` - The ConnectionInterface value.

### getConnectionImplClass

    public String getConnectionImplClass()

  The ConnectionImplClass attribute holds the ConnectionImplClass from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the connectionImplClass value.

### setConnectionImplClass

    public void setConnectionImplClass(String connectionImplClass)

  Set the ConnectionImplClass value.

  Parameters:
    `connectionImplClass` - The ConnectionImplClass value.

### getTransactionSupport

    public String getTransactionSupport()

  The TransactionSupport attribute holds the TransactionSupport from the ra.xml. It should be supplied by xslt from ra.xml It is ignored, and choice of ConnectionManager implementations determine transaction support. Get the TransactionSupport value.

  Returns:
    the TransactionSupport value.

### setTransactionSupport

    public void setTransactionSupport(String transactionSupport)

  Set the TransactionSupport value.

  Parameters:
    `transactionSupport` - The TransactionSupport value.

### getManagedConnectionFactoryProperties

    public Element getManagedConnectionFactoryProperties()

  The ManagedConnectionFactoryProperties attribute holds the ManagedConnectionFactoryProperties from the ra.xml, together with user supplied values for all or some of these properties. This must be supplied as an element in the same format as in ra.xml, wrapped in a properties tag. It should be supplied by xslt from ra.xml merged with an user configuration xml file. An alternative format has a config-property element with attributes for name and type and the value as content.

  Returns:
    the ManagedConnectionFactoryProperties value.

### setManagedConnectionFactoryProperties

    public void setManagedConnectionFactoryProperties(Element managedConnectionFactoryProperties)

  Set the ManagedConnectionFactoryProperties value.

  Parameters:
    `managedConnectionFactoryProperties` - The ManagedConnectionFactoryProperties value.

### getAuthenticationMechanismType

    public String getAuthenticationMechanismType()

  The AuthenticationMechanismType attribute holds the AuthenticationMechanismType from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the AuthenticationMechanismType value.

### setAuthenticationMechanismType

    public void setAuthenticationMechanismType(String authenticationMechanismType)

  Set the AuthenticationMechanismType value.

  Parameters:
    `authenticationMechanismType` - The AuthenticationMechanismType value.

### getCredentialInterface

    public String getCredentialInterface()

  The CredentialInterface attribute holds the CredentialInterface from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the CredentialInterface value.

### setCredentialInterface

    public void setCredentialInterface(String credentialInterface)

  Set the CredentialInterface value.

  Parameters:
    `credentialInterface` - The CredentialInterface value.

### isReauthenticationSupport

    public boolean isReauthenticationSupport()

  The ReauthenticationSupport attribute holds the ReauthenticationSupport from the ra.xml. It should be supplied by xslt from ra.xml

  Returns:
    the ReauthenticationSupport value.

### setReauthenticationSupport

    public void setReauthenticationSupport(boolean reauthenticationSupport)

  Set the ReauthenticationSupport value.

  Parameters:
    `reauthenticationSupport` - The ReauthenticationSupport value.

### getMcfInstance

    public javax.resource.spi.ManagedConnectionFactory getMcfInstance()

  The `getMcfInstance` method returns the ManagedConnectionFactory instance represented by this mbean. It is needed so PasswordCredentials can match up correctly. This will probably have to be implemented as an interceptor when the mcf is directly deployed as an mbean.

  Returns:
    a `ManagedConnectionFactory` value

### setManagedConnectionFactoryAttribute

    public void setManagedConnectionFactoryAttribute(String name,
                                                     Class clazz,
                                                     Object value)

  The setManagedConnectionFactoryAttribute method can be used to set attributes on the ManagedConnectionFactory from code, without using the xml configuration.

  Parameters:
    `name` - a `String` value
    `clazz` - a `Class` value
    `value` - an `Object` value

### getManagedConnectionFactoryAttribute

    public Object getManagedConnectionFactoryAttribute(String name)

  The `getManagedConnectionFactoryAttribute` method can be used to examine the managed connection factory properties.

  Parameters:
    `name` - a `String` value
  Returns:
    an `Object` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.